body {
  margin: 0;
  padding: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New', monospace;
}

.wrapper {
  height: 100vh;
  width: 100vw;
  display: flex;
}
.chat-list {
  height: 100vh;
  border-right: 1px solid #f5f5f5;
}
.chat-data-wrapper {
  width: calc(100vw - 241px);
  height: inherit;
  display: flex;
  flex-flow: column;
  justify-content: space-between;
}
.chat {
  width: inherit;
  background: linear-gradient(180deg, #f5f5f5 0px 40px, transparent 40px 100px);
}

.rts-view-wrapper {
  border: 10px;
  width: calc(100vw - 330px);
}

.input-wrapper {
  width: inherit;
}
.input {
  border-width: 0;
  border: 1px solid #ddd;
  border-radius: 5px;
  width: calc(100% - 20px);
  margin: 0;
  padding: 10px;
}

.input:focus {
  border: 1px solid #57dfbd;
  outline: none;
}

.main-view-show-input {
  width: inherit;
}

.main-view-btn {
  all: unset;
  padding: 5px;
  border: 1px solid #ddd;
  border-radius: 5px;
  width: 25px;
  height: 40px;
  text-align: center;
  font-size: 17px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1;
  margin-bottom: 4px;
}

.main-view-btn:hover,
.main-view-btn-selected {
  border: 1px solid #57dfbd;
  cursor: pointer;
  background-color: #efefef;
}

.mjt-main-view-wrapper {
  width: fit-content;
  height: fit-content;
  position: absolute;
  bottom: 70px;
  left: 25px;
  border: 1px solid #ddd;
}

.input-view-wrapper {
  display: flex;
  align-items: flex-end;
  /* width: calc(100vw - 301px); */
  padding: 20px;
  justify-content: space-between;
}

.sticker-preview-wrapper {
  display: flex;
  justify-content: center;
}

.sticker-preview {
  background-color: #cccccc;
}
